package com.zhiwei.manage.bean;

import java.io.Serializable;
import java.util.List;

import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.Transient;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 渠道字段对应
 * 
 * @author admin
 *
 */
@Document(collection = "Channel")
public class Channel implements Serializable {

	@Indexed
	@Id
	private String id;
	private String pt;
	private String value;
	@Transient
	private List<Data> list;

	public List<Data> getList() {
		return list;
	}

	public void setList(List<Data> list) {
		this.list = list;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getPt() {
		return pt;
	}

	public void setPt(String pt) {
		this.pt = pt;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	@Override
	public String toString() {
		return "Channel [id=" + id + ", pt=" + pt + ", value=" + value + "]";
	}

}
